List blackouts by supported criteria

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/blackouts

Lists blackouts by the supplied criteria.

Request

Query Parameters
  • Used to include extra information in the result. Right now the only value allowed is "total" which will computes total number of blackouts matching the criteria.
    Example:
    total
  • Minimum Value: 1
    Maximum Value: 2000
    to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.
    Example:
    20
  • name of the blackout
  • Name pattern of the blackout
  • Owner of the blackout
  • system generated page token used in the self, next and previous links.
  • Reason for the blackout
  • The sort field and direction. Allowed sort fields are "name", "status", "id", "timeToStart" and "timeToEnd". Allowed directions are ASC and DESC. Default is "name:ASC".
    Example:
    status:ASC,name:DESC
  • Status of the blackout (SCHEDULED, START_PROCESSING, START_PARTIAL, START_FAILED, STARTED, STOP_PENDING, STOP_FAILED, STOP_PARTIAL, EDIT_FAILED, EDIT_PARTIAL, EDIT_PENDING, STOPPED, ENDED, END_PARTIAL)
  • Used to only list blackouts which have the target of the given id as direct blackout member.
    Example:
    ADLKFIDYFSDHFISDOFSDF
  • Start of time period for when blackouts are scheduled to end. Timestamps are with minute accuracy and can provide timezone.
    Example:
    2021-03-01T21:23+01:00
  • End of time period for when blackouts are scheduled to end. Timestamps are with minute accuracy and can provide timezone.
    Example:
    2021-03-01T21:23+01:00
  • Start of time period for when blackouts are scheduled to start. Timestamps are with minute accuracy and can provide timezone.
    Example:
    2021-03-01T21:23+01:00
  • End of time period for when blackouts are scheduled to start. Timestamps are with minute accuracy and can provide timezone.
    Example:
    2021-03-01T21:23+01:00
  • Type of the blackout, valid values are PATCHING, NOTIFICATION or NOTIFICATION_MAINTENANCE

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : BlackoutCollection
Type: object
This is the representation of a list of blackout summaries.
Show Source
Nested Schema : items
Type: array
Blackout summaries
Show Source
Nested Schema : BlackoutSummary
Type: object
This is the representation of the Blackout summary.
Show Source
Match All
This is the representation of the Blackout summary.
Show Source
Nested Schema : Schedule
Type: object
Defining time schedule
Show Source
  • To indicate the time should be interpreted in target's timezone or not. If Timezone is specified in time and useTargetZone is true, it will be reported as an ERROR condition
    Example: true
  • Frequency at which the operation must be executed repeatedly
    Example: Weekly
  • Currently we support ical specification default is ICAL, in future it can be extended to other types e.g CRON.
  • Time in minutes after which the job will be marked as skipped if not started. Null or Negative value means no grace period.
    Example: 60
  • end time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.
    Example: 2021-03-02 22:00:13
  • start time for the job in the format YYYY-MM-DDTHH24:Mi:SSZTimezone Timezone specification is optional and will be defaulted to UTC.
    Example: 2021-03-01 21:23:03
Examples

400 Response

in the case of illegal arguments like unsupported sort direction
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

401 Response

client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

500 Response

internal error serving the request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source

503 Response

indicates that a required service is not available.
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Back to Top